/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2003 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:Tony Leake tony@php.net                                       |
  +----------------------------------------------------------------------+

  $Id: php_ecasound.h,v 1.2 2003/01/04 11:55:57 mj Exp $ 
*/

#ifndef PHP_ECASOUND_H
#define PHP_ECASOUND_H

extern zend_module_entry ecasound_module_entry;
#define phpext_ecasound_ptr &ecasound_module_entry

#ifdef PHP_WIN32
#define PHP_ECASOUND_API __declspec(dllexport)
#else
#define PHP_ECASOUND_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(ecasound);
PHP_MSHUTDOWN_FUNCTION(ecasound);
PHP_RINIT_FUNCTION(ecasound);
PHP_RSHUTDOWN_FUNCTION(ecasound);
PHP_MINFO_FUNCTION(ecasound);

PHP_FUNCTION(eci_init);	
PHP_FUNCTION(eci_command);
PHP_FUNCTION(eci_last_string);
PHP_FUNCTION(eci_last_float);
PHP_FUNCTION(eci_last_integer);
PHP_FUNCTION(eci_last_long_integer);
PHP_FUNCTION(eci_last_error);
PHP_FUNCTION(eci_cleanup);
PHP_FUNCTION(eci_error);
PHP_FUNCTION(eci_command_float_arg);
PHP_FUNCTION(eci_last_string_list_count);
PHP_FUNCTION(eci_last_string_list_item);
/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(ecasound)
	int   global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(ecasound)
*/

void _php_eci_command(char *string);
double _php_last_float();
char * _php_last_string();
char * _php_last_error();
long _php_eci_error();
void _php_eci_cleanup();
long _php_last_integer();
long _php_last_long_integer();
void _php_command_float_arg(char *command, double arg);
int  _php_last_string_list_count(void);
const char* eci_last_string_list_item(int n);

#ifdef ZTS
#define ECASOUND_G(v) TSRMG(ecasound_globals_id, zend_ecasound_globals *, v)
#else
#define ECASOUND_G(v) (ecasound_globals.v)
#endif

#endif	/* PHP_ECASOUND_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
